Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
conky-cairo update to 1.10.8, fix depends/makedepends and build docs
diff --git a/PKGBUILD b/PKGBUILD
index 60159cb..c392f5c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,8 +22,8 @@
# 'perl-xml-libxml' 'perl-xml-sax-expat' in makedepends
pkgname=conky-cairo
-pkgver=1.10.7
-pkgrel=1
+pkgver=1.10.8
+pkgrel=0
pkgdesc='conky - built for nvidia n (tolua++_5.3 in AUR) - See this PKGBUILD source - Just change one variable to build the git version - defaults to release version.'
url='https://github.com/brndnmtthws/conky'
license=('GPL3' 'BSD')
@@ -33,7 +33,8 @@ replaces=('torsmo' 'conky')
conflicts=('conky')
provides=('conky')
-depends=( 'alsa-lib' 'libxml2' 'curl' 'cairo' 'wireless_tools' 'libxft' 'librsvg' 'glib2' 'libxdamage' 'imlib2' 'lua' 'libxnvctrl' 'tolua++_5.3' )
+depends=( 'alsa-lib' 'libxml2' 'curl' 'cairo' 'wireless_tools' 'libxft' 'librsvg' 'glib2' 'libxdamage' 'imlib2' 'lua' 'libxnvctrl' 'tolua++_5.3' 'libxinerama' )
+makedepends=( 'cmake' 'git' 'docbook2x' 'docbook-xsl' 'man-db' )
### NOTE: Install tolua++_5.3 from AUR - one of my other packages besides conkywx weather program
@@ -42,9 +43,10 @@ _myopts=1
case ${_myopts} in
0) ### _myopts=0 for git version #####################################
+ pkgname=conky-cairo-git
_pkgname=conky
- makedepends=('cmake' 'git' )
+ #makedepends=("${makedepends[@]}" 'git')
source=("git+${url}.git" )
@@ -57,8 +59,6 @@ case ${_myopts} in
1) ### _myopts=1 for release version #################################
_pkgname="conky-${pkgver}"
- makedepends=( 'cmake' )
-
source=(${url}/archive/v${pkgver}.tar.gz)
md5sums=('SKIP')
esac
@@ -84,6 +84,7 @@ build() {
cmake \
-D CMAKE_BUILD_TYPE=Release \
-D CMAKE_INSTALL_PREFIX=/usr \
+ -D MAINTAINER_MODE=ON \
-D BUILD_WLAN=ON \
-D BUILD_CURL=ON \
-D BUILD_RSS=ON \
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.